// Test program to check that AtmoData was properly installed.

#define SELDONDATA_DEBUG_LEVEL_4
#include "AtmoData.hxx"
using namespace AtmoData;

int main()
{

  TRY;

  cout << "Running the test..." << endl;

  Data<double, 3> Temperature(2, 2, 2), Pressure(2, 2, 2),
    PotentialTemperature(2, 2, 2);

  // Fills Temperature and Pressure with fictitious data.
  Temperature.Fill(280.);
  Pressure.Fill(90000.);

  // Modifies a few values.
  Temperature(0, 1, 0) = 310.;
  Pressure(0, 0, 1) = 100000.;
  Pressure(1, 1, 0) = 80000.;

  ComputePotentialTemperature(Temperature, Pressure, PotentialTemperature);
  // One may set the reference pressure to 100000.
  ComputePotentialTemperature(Temperature, Pressure, PotentialTemperature, 100000.);

  cout << "Statistics: " << PotentialTemperature.InfoString() << endl;

  cout << "The test ended successfully." << endl;

  END;

  return 0;

}
